Docs

Update a webhook

Update the enabled status of a webhook. The webhook must belong to the current project.

PATCH
/webhooks/{webhookId}

Authorization

Authorization
header
string
required

Enter the project access token with the Bearer prefix, e.g. "Bearer project_access_token"

Path Parameters

webhookId
string
required

Webhook ID

Bodyapplication/json

Webhook update parameters

enabled
boolean

Enabled indicates whether the webhook should be enabled or disabled.

Examples:
true
events
string[]

Events specifies the types of events that will trigger the webhook.

Available options:
job.createdjob.completedjob.failedjob.cancelledsource.createdsource.deletedupload.createdupload.completedupload.failedupload.expiredasset.createdasset.readyasset.playback_readyasset.failedasset.expiredasset.deletedasset.output.createdasset.output.readyasset.output.failedasset.output.deletedworkflow_run.createdworkflow_run.completedworkflow_run.failedworkflow_run.cancelledtranscoding.createdtranscoding.readytranscoding.failedtranscoding.cancelledtranscoding.expiredtranscoding.deletedthumbnail.createdthumbnail.readythumbnail.failedthumbnail.expiredthumbnail.deleted
Examples:
["asset.playback_ready", "asset.failed"]

Responses

The webhook was updated successfully